% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/NonparametricTransformation.R
\name{SolveHt1}
\alias{SolveHt1}
\title{Estimating equation for Ht1}
\usage{
SolveHt1(Ht1, Z, nu, t, X, W, theta)
}
\arguments{
\item{Ht1}{The solver solves for an optimal value of Ht1 by equating the estimating equation to zero.}

\item{Z}{The observed survival time, which is the minimum of T, C and A.}

\item{nu}{The censoring indicator for T or C}

\item{t}{A fixed time point}

\item{X}{Data matrix with covariates related to T.}

\item{W}{Data matrix with covariates related to C.}

\item{theta}{Vector of parameters}
}
\description{
This function obtains an estimating equation of H at the first observed survival time t1.
}
