% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/NonparametricTransformation.R
\name{SolveScore}
\alias{SolveScore}
\title{Estimate finite parameters based on score equations}
\usage{
SolveScore(theta, resData, X, W, H, eps = 0.001)
}
\arguments{
\item{theta}{Vector of parameters in the semiparametric transformation model.}

\item{resData}{Data matrix with three columns;  Z = the observed survival time, d1 = the censoring indicator of T
and  d2 =  the censoring indicator of C.}

\item{X}{Data matrix with covariates related to T.}

\item{W}{Data matrix with covariates related to C.}

\item{H}{The estimated non-parametric transformation function for a given value of theta.}

\item{eps}{Convergence error.}
}
\description{
This function estimates the model parameters
}
