% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ParamTransfoCompRisks.R
\name{dchol2par.elem}
\alias{dchol2par.elem}
\title{Derivative of transform Cholesky decomposition to covariance matrix
element.}
\usage{
dchol2par.elem(k, q, a, b, par.chol1)
}
\arguments{
\item{k}{The row index of the parameter with respect to which to take the
derivative.}

\item{q}{the column index of the parameter with respect to which to take the
derivative.}

\item{a}{The row index of the covariance matrix element to be computed.}

\item{b}{The column index of the covariance matrix element to be computed.}

\item{par.chol1}{The vector of Cholesky parameters.}
}
\value{
Derivative of the function that transforms the cholesky parameters
to the specified element of the covariance matrix, evaluated at the specified
arguments.
}
\description{
This function defines the derivative of the transformation
function that maps Cholesky parameters to a covariance matrix element. This
function is used in dchol2par.R.
}
