% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/FullyParametricCopulas.R
\name{loglike.clayton.unconstrained}
\alias{loglike.clayton.unconstrained}
\title{Log-likelihood function for the Clayton copula.}
\usage{
loglike.clayton.unconstrained(para, Y, Delta, Dist.T, Dist.C)
}
\arguments{
\item{para}{Estimated parameter values/initial values.}

\item{Y}{Follow-up time.}

\item{Delta}{Censoring indicator.}

\item{Dist.T}{The distribution to  be used for the survival time T. This argument can take one of the values from \code{c("lnorm", "weibull")} and has to be the same as Dist.C.}

\item{Dist.C}{The distribution to  be used for the censoring time C. This argument can take one of the values from \code{c("lnorm", "weibull")} and has to be the same as Dist.T.}
}
\value{
Maximized log-likelihood value.
}
\description{
This likelihood function is maximized to estimate the model parameters under the Clayton copula.
}
