% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/FullyParametricCopulas.R
\name{optimlikelihood}
\alias{optimlikelihood}
\title{Fit the dependent censoring models.}
\usage{
optimlikelihood(Y, Delta, Copula, Dist.T, Dist.C, start)
}
\arguments{
\item{Y}{Follow-up time.}

\item{Delta}{Censoring indicator.}

\item{Copula}{The copula family. This argument can take values from \code{c("frank","gumbel","clayton","gaussian","indep")}.}

\item{Dist.T}{The distribution to  be used for the survival time T. This argument can take one of the values from \code{c("lnorm", "weibull", "llogis")}.}

\item{Dist.C}{The distribution to  be used for the censoring time C. This argument can take one of the values from \code{c("lnorm", "weibull", "llogis")}.}

\item{start}{Starting values}
}
\value{
A list containing the minimized negative log-likelihood using the independence copula model, the estimated parameter values for the model with the independence copula, the minimized negative log-likelihood using the specified copula model and the estimated parameter values for the model with the specified copula.
}
\description{
Estimates the model parameters by maximizing the log-likelihood.
}
